中危 Apache XML Graphics Batik 安全漏洞(CVE-2022-42890)

CVE编号

CVE-2022-42890

利用情况

暂无

补丁情况

官方补丁

披露时间

2022-10-26
漏洞描述
Apache XML Graphics Batik是美国阿帕奇(Apache)基金会的一套基于Java的主要用于处理SVG格式图像的应用程序。

Apache XML Graphics 1.16之前版本存在安全漏洞,该漏洞源于Batik存在问题,允许攻击者通过JavaScript从不受信任的SVG运行Java代码。
解决建议

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://lists.apache.org/thread/pkvhy0nsj1h1mlon008wtzhosbtxjwly
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 apache batik * From
(including)
1.0
Up to
(excluding)
1.16
运行在以下环境
系统 debian_10 batik * Up to
(excluding)
1.10-2+deb10u2
运行在以下环境
系统 debian_11 batik * Up to
(excluding)
1.12-4+deb11u1
运行在以下环境
系统 debian_12 batik * Up to
(including)
1.15+dfsg-1
运行在以下环境
系统 debian_sid batik * Up to
(including)
1.15+dfsg-1
阿里云评分
6.3
  • 攻击路径
    N/A
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-918 服务端请求伪造(SSRF)
阿里云安全产品覆盖情况